%global _disable_ld_no_undefined 1

%global srcname fast_tls

%global p1_utils_ver 1.0.25

Name: erlang-%{srcname}
Version: 1.1.15
Release: %mkrel 2

Group:   Development/Erlang

License: ASL 2.0
Summary: TLS / SSL native driver for Erlang / Elixir
URL: https://github.com/processone/%{srcname}/
Source0: https://github.com/processone/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz
# Set the default cipher list to PROFILE=SYSTEM.
# https://fedoraproject.org/wiki/Packaging:CryptoPolicies
Patch0: 0000-Use-the-system-ciphers-by-default.patch

Provides:  erlang-p1_tls = %{version}-%{release}
Obsoletes: erlang-p1_tls < 1.0.1

BuildRequires: erlang-p1_utils >= %{p1_utils_ver}
BuildRequires: erlang-rebar
BuildRequires: erlang-eunit
BuildRequires: pkgconfig(openssl)

Requires: erlang-p1_utils >= %{p1_utils_ver}


%description
TLS / SSL native driver for Erlang / Elixir. This is used by ejabberd.


%prep
%setup -n %{srcname}-%{version} -q
%autopatch -p1


%if 0
%check
%{rebar_eunit}
%endif

%build
%{rebar_compile}


%install
install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib

install -pm755 priv/lib/* $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib/
%{erlang_install}


%files
%license LICENSE.txt
%doc README.md
%{erlang_appdir}



%changelog
* Tue Apr 01 2025 papoteur <papoteur> 1.1.15-2.mga10
+ Revision: 2172425
- rebuild for erl_nif_version 2.17

* Wed Aug 03 2022 neoclust <neoclust> 1.1.15-1.mga9
+ Revision: 1874735
- New version 1.1.15

* Tue Aug 02 2022 neoclust <neoclust> 1.1.14-1.mga9
+ Revision: 1874619
- New version 1.1.14

* Tue Apr 05 2022 umeabot <umeabot> 1.1.13-2.mga9
+ Revision: 1844098
- Mageia 9 Mass Rebuild

* Wed Feb 09 2022 neoclust <neoclust> 1.1.13-1.mga9
+ Revision: 1772743
- New version 1.1.13
+ wally <wally>
- rebuild for openssl 3.0.0

* Sun Dec 20 2020 neoclust <neoclust> 1.1.10-1.mga8
+ Revision: 1661905
- New version 1.1.10

* Sun Dec 20 2020 wally <wally> 1.1.8-1.mga8
+ Revision: 1661640
- new version 1.1.8

* Wed Feb 12 2020 umeabot <umeabot> 1.0.23-3.mga8
+ Revision: 1510643
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 wally <wally> 1.0.23-2.mga7
+ Revision: 1295327
- BR erlang-eunit as it's not pulled with erlang-rebar on aarch64

* Thu Sep 20 2018 wally <wally> 1.0.23-1.mga7
+ Revision: 1288406
- new version 1.0.23 (sync with Fedora)

* Sat Sep 09 2017 cjw <cjw> 1.0.7-3.mga7
+ Revision: 1152148
- rebuild for openssl 1.1

* Tue Nov 22 2016 neoclust <neoclust> 1.0.7-2.mga6
+ Revision: 1068728
- Rebuild against core openssl

* Thu Nov 17 2016 neoclust <neoclust> 1.0.7-1.mga6
+ Revision: 1067992
- imported package erlang-fast_tls

